commit:     2ee1f85c8e5e3342e379bf099bc334a48d21b37e
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 15 13:17:31 2018 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Mon Jan 15 13:17:31 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2ee1f85c

dev-util/goland: Version bump to 2017.3.1

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 dev-util/goland/Manifest               |  1 +
 dev-util/goland/goland-2017.3.1.ebuild | 45 ++++++++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/dev-util/goland/Manifest b/dev-util/goland/Manifest
index a854d3b51ba..4cb5ec6cdd8 100644
--- a/dev-util/goland/Manifest
+++ b/dev-util/goland/Manifest
@@ -1,2 +1,3 @@
 DIST goland-173.3531.21.tar.gz 213040527 BLAKE2B 
57fbc0820fb09aa23ebad45c9f6477469f71f84d3abb9e77eba45a90c89695754a7800ff768b63b815b48a1aa35631af0332a0a9af10b3e6dc6d22c587aef30c
 SHA512 
db2deb4e52fb4135e3fb27c63a181c34acddf61dd2bedf81e50144a85b3e9bcb1a7490532b6841815e2b888c660aa26bc8c3176f83bb30bcf20ec568cdfeb65b
+DIST goland-2017.3.1.tar.gz 213951052 BLAKE2B 
019ebf772443dd9f5e81cfb3717f5e4cb19ec3c8a67eb20037b6b72c97bf3e382e073660021aac22c3e6dbef9b71c4642acd026e10f27e09a5c60002cc2fc84e
 SHA512 
b4d0251ede2a80b1cabf6b29e362a1679929d4f24530a88f6bc80482bb8fbd36d0d619d94b0cce45ca2c92142335a84141aa6e54fb42154ac09097e8b7318a16
 DIST goland-2017.3.tar.gz 213261483 BLAKE2B 
4c84d073265fc701dc0f34571850c2fab05e2e07479d9dc886af660a097a361a5532cf9078569e9dc8cee0322f92544683e9c05689d025bb39de925a10e05c2d
 SHA512 
5fa8d61850e31c1db82e32d9ccccaad71fc00db85a31bc423384b443819d9dc6f3ba11399c580d8eb9c3fe698b437c13072fc49126359bd405b7d57e12c92328

diff --git a/dev-util/goland/goland-2017.3.1.ebuild 
b/dev-util/goland/goland-2017.3.1.ebuild
new file mode 100644
index 00000000000..94765715499
--- /dev/null
+++ b/dev-util/goland/goland-2017.3.1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils
+
+SLOT=0
+
+SRC_URI="http://download.jetbrains.com/go/${P}.tar.gz";
+DESCRIPTION="Golang IDE by JetBrains"
+HOMEPAGE="http://www.jetbrains.com/go";
+
+KEYWORDS="~amd64"
+LICENSE="IDEA
+       || ( IDEA_Academic IDEA_Classroom IDEA_OpenSource IDEA_Personal )"
+
+QA_PREBUILT="opt/${P}/*"
+
+S=${WORKDIR}/GoLand-${PV%.*}
+
+RDEPEND="dev-lang/go"
+
+src_prepare() {
+       default
+       if ! use arm; then
+               rm -rf bin/fsnotifier-arm || die
+       fi
+}
+
+src_install() {
+       local dir="/opt/${P}"
+
+       insinto "${dir}"
+       doins -r *
+       fperms 755 "${dir}"/bin/{${PN}.sh,fsnotifier{,64}}
+
+       make_wrapper "${PN}" "${dir}/bin/${PN}.sh"
+       newicon "bin/${PN}.png" "${PN}.png"
+       make_desktop_entry "${PN}" "gogland" "${PN}" "Development;IDE;"
+
+       # recommended by: 
https://confluence.jetbrains.com/display/IDEADEV/Inotify+Watches+Limit
+       mkdir -p "${D}/etc/sysctl.d/" || die
+       echo "fs.inotify.max_user_watches = 524288" > 
"${D}/etc/sysctl.d/30-idea-inotify-watches.conf" || die
+}

Reply via email to